Extend by IP addresses

IPv4 type

POST /client/api/v1/{apiKey}/extend

Path parameters

Name
Type
Description

apiKey*

String

Your personal API key.

Request body

Name
Type
Description

proxyType*

String

Proxy type IPv4.

promoCode

String

Code of the promo code (can be obtained by another request).

ipAddressIds*

List

IP address IDs to extend (can be obtained by another request).

All ipAddressIds are separated by commas, for example ["11111", "22222"]

rentPeriodDays*

Number

Number of days in the rental period (can be obtained by another request).

Response

chevron-right200: OK Success responsehashtag
{
    "success": true,
    "proxyType": "IPv4",
    "rentPeriodDays": 30,
    "quantity": 1,
    "ipAddressIds": [
        "1111111111111111111"
    ],
    "balance": 0.65,
    "currency": "USD",
    "error": null,
    "promoCodeStatus": null
}
chevron-right200: OK Success response with valid promo codehashtag
{
    "success": true,
    "proxyType": "IPv4",
    "rentPeriodDays": 30,
    "quantity": 1,
    "ipAddressIds": [
        "1111111111111111111"
    ],
    "balance": 0.65,
    "currency": "USD",
    "error": null,
    "promoCodeStatus": "VALID"
}
chevron-right200: OK Success response with invalid promo codehashtag
chevron-right200: OK Error responsehashtag

IPv6 type

POST /client/api/v1/{apiKey}/extend

Path parameters

Name
Type
Description

apiKey*

String

Your personal API key.

Request body

Name
Type
Description

proxyType*

String

Proxy type IPv6.

promoCode

String

Code of the promo code (can be obtained by another request).

ipAddressIds*

List

IP address IDs to extend (can be obtained by another request).

All ipAddressIds are separated by commas, for example ["11111", "22222"]

rentPeriodDays*

Number

Number of days in the rental period (can be obtained by another request).

Response

chevron-right200: OK Success responsehashtag
chevron-right200: OK Success response with valid promo codehashtag
chevron-right200: OK Success response with invalid promo codehashtag
chevron-right200: OK Error responsehashtag

Mobile type

POST /client/api/v1/{apiKey}/extend

Path parameters

Name
Type
Description

apiKey*

String

Your personal API key.

Request body

Name
Type
Description

proxyType*

String

Proxy type MOBILE.

promoCode

String

Code of the promo code (can be obtained by another request).

ipAddressIds*

List

IP address IDs to extend (can be obtained by another request).

All ipAddressIds are separated by commas, for example ["11111", "22222"]

rentPeriodDays*

Number

Number of days in the rental period (can be obtained by another request).

Response

chevron-right200: OK Success responsehashtag
chevron-right200: OK Success response with valid promo codehashtag
chevron-right200: OK Success response with invalid promo codehashtag
chevron-right200: OK Error responsehashtag

ISP type

POST /client/api/v1/{apiKey}/extend

Path parameters

Name
Type
Description

apiKey*

String

Your personal API key.

Request body

Name
Type
Description

proxyType*

String

Proxy type ISP.

promoCode

String

Code of the promo code (can be obtained by another request).

ipAddressIds*

List

IP address IDs to extend (can be obtained by another request).

All ipAddressIds are separated by commas, for example ["11111", "22222"]

rentPeriodDays*

Number

Number of days in the rental period (can be obtained by another request).

Response

chevron-right200: OK Success responsehashtag
chevron-right200: OK Success response with valid promo codehashtag
chevron-right200: OK Success response with invalid promo codehashtag

chevron-right200: OK Error responsehashtag

Last updated